Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Mandolin Class Reference

STK mandolin instrument model class. More...

`#include <Mandolin.h>`

Inheritance diagram for Mandolin:

List of all members.

## Public Member Functions

| Mandolin (MY_FLOAT lowestFrequency)
| Class constructor, taking the lowest desired playing frequency.
virtual | ~Mandolin ()
| Class destructor.
void | pluck (MY_FLOAT amplitude)
| Pluck the strings with the given amplitude (0.0 - 1.0) using the current frequency.
void | pluck (MY_FLOAT amplitude, MY_FLOAT position)
| Pluck the strings with the given amplitude (0.0 - 1.0) and position (0.0 - 1.0).
virtual void | noteOn (MY_FLOAT frequency, MY_FLOAT amplitude)
| Start a note with the given frequency and amplitude (0.0 - 1.0).
void | setBodySize (MY_FLOAT size)
| Set the body size (a value of 1.0 produces the "default" size).
virtual MY_FLOAT | tick ()
| Compute one output sample.
virtual void | controlChange (int number, MY_FLOAT value)
| Perform the control change specified by number and value (0.0 - 128.0).

## Detailed Description

STK mandolin instrument model class.

This class inherits from PluckTwo and uses "commuted synthesis" techniques to model a mandolin instrument.

This is a digital waveguide model, making its use possibly subject to patents held by Stanford University, Yamaha, and others. Commuted Synthesis, in particular, is covered by patents, granted, pending, and/or applied-for. All are assigned to the Board of Trustees, Stanford University. For information, contact the Office of Technology Licensing, Stanford University.

Control Change Numbers:

- Body Size = 2
- Pluck Position = 4
- String Sustain = 11
- String Detuning = 1
- Microphone Position = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 36 of file Mandolin.h.

The documentation for this class was generated from the following file:

- Mandolin.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.